Skip to main content
Agent

Archive Agent

Soft-archive an agent

POST
/api/v1/agentstudio/agents/{agent_id}/archive
cURL
curl --request POST \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/agents/{agent_id}/archive' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "id": "agent_xxx",
  "type": "agent",
  "version": 1,
  "name": "data-analyst",
  "description": "数据分析助手",
  "model": {
    "id": "qwen3-max"
  },
  "system": "你是数据分析专家,使用 pandas 处理 CSV 文件。",
  "tools": [],
  "mcp_servers": [],
  "skills": [],
  "multiagent": {
    "type": "coordinator",
    "agents": [
      {
        "type": "self"
      },
      {
        "type": "agent",
        "id": "agent_researcher",
        "version": 3
      }
    ]
  },
  "metadata": {
    "team": "data"
  },
  "created_at": "2026-05-28T16:23:11.456+08:00",
  "updated_at": "2026-05-28T16:23:11.456+08:00",
  "archived_at": "2026-05-29T09:00:00.000+08:00",
  "workspace_id": "ws_xxx",
  "request_id": "req_xxx"
}

Authorizations

string
header
required

DashScope API Key

Path Parameters

string
required

Response

200-application/json
string

智能体 ID

string

固定为 agent

integer

当前版本号(归档不改变版本)

string

智能体名称

string

智能体用途说明

object

模型配置

string

系统提示词

object[]

工具包列表

object[]

MCP Server 引用列表

object[]

挂载技能列表

object

多智能体协作配置。不传或为空表示单智能体

object

业务自定义键值

string

归档时间,ISO 8601;归档接口返回的对象中该字段一定非空

string

创建时间,ISO 8601

string

最近更新时间,ISO 8601

string

所属工作空间 ID

string

本次请求的唯一标识

Overview
Managed Agent API
Sandbox API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview